# Speakerphone set state

An action block that enable or disable the speakerphone.

The fiber will proceed immediately without pause.

If this block doesn’t work when used directly after a call incoming or call outgoing block, try inserting a short delay in between to override any change the phone app does.

Note! Although an official Android feature, may not work on all devices.

## Input arguments

- Speakerphone — whether to turn speakerphone on or off.